package com.clx.performance.dao.collect;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.clx.performance.mapper.collect.CollectLineReportMapper;
import com.clx.performance.model.collect.CollectLineReport;
import com.clx.performance.param.app.collect.PageCollectLineReportParam;
import com.clx.performance.param.pc.carrier.*;
import com.clx.performance.vo.pc.collect.CollectLineReportVO;
import com.msl.common.dao.BaseDao;

/**
 * @Author: aiqinguo
 * @Description: 线路信息上报
 * @Date: 2023/09/18 11:34:50
 * @Version: 1.0
 */
public interface CollectLineReportDao extends BaseDao<CollectLineReportMapper, CollectLineReport, Integer> {
    boolean updateAuditStatus(CollectLineReport item);

    IPage<CollectLineReportVO> pageLineReport(PageCollectLineReportParam param);
    IPage<CollectLineReportVO> carrierPageSendAddressReport(CarrierPageCollectSendAddressReportParam param);
    IPage<CollectLineReportVO> carrierPageAbnormalReport(CarrierPageCollectAbnormalReportParam param);
    IPage<CollectLineReportVO> carrierPageNoTakeOrderReport(CarrierPageCollectNoTakeOrderReportParam param);
    IPage<CollectLineReportVO> carrierPageQualityReport(CarrierPageCollectQualityReportParam param);
    IPage<CollectLineReportVO> carrierPageOtherReport(CarrierPageCollectOtherReportParam param);

}
